Speechbase

Submit speech feedback

Records feedback for a generated speech request and returns a feedback ID. Omit `feedbackId` to start a new feedback timeline, or pass a previous `feedbackId` to append a later state under that same ID.

POST
/v1/feedback

Records feedback for a generated speech request and returns a feedback ID. Omit feedbackId to start a new feedback timeline, or pass a previous feedbackId to append a later state under that same ID.

Authorization

bearerAuth
AuthorizationBearer <token>

API key

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/feedback" \  -H "Authorization: Bearer $SPEECHBASE_API_KEY" \  -H "Content-Type: application/json" \  -d '{  "requestId": "string",  "score": 0}'
{
  "feedbackId": "8a5fb68c-aae2-438d-9a46-b4d8c8788e0b"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "validation": [
    {
      "path": [
        "string"
      ],
      "message": "string"
    }
  ],
  "provider": "string",
  "upstream_code": "string",
  "upstream_status": 0,
  "turn_index": 0
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "validation": [
    {
      "path": [
        "string"
      ],
      "message": "string"
    }
  ],
  "provider": "string",
  "upstream_code": "string",
  "upstream_status": 0,
  "turn_index": 0
}